<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 20;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------

if($cboSucursal){
	
	//Obtener el Administrador
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdSucursal($cboSucursal);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key => $o_sucursal){
			$IdAdministrador = $o_sucursal->getIdAdministrador();
		}
	}
		
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	//print_r($a_Colaborador);
	$o_ObjectBean->setFiltroSucursal($a_Colaborador);	
	
}
 
//----------------------------------------------------------------------------------

if($cboMercado     	!= ""){
	 $o_ObjectBean->setIdMercado($cboMercado);	 
}
if($cboRepresentante     	!= ""){
	 $o_ObjectBean->setIdColaboradorPrestamo($cboRepresentante);	 
}


if($NroPrestamo   !=""){ $o_ObjectBean->setIdPrestamo($NroPrestamo); }
//if($cboEstadoPrestamo   !=""){ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($Estado   !="")				{ $o_ObjectBean->setEstado($Estado); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
if($vencido     									  ){ 
	$o_ObjectBean->setVencido($vencido); 
	//$activarboton = 'cancelarMoroso';
}
if($vencido1){ 
	$o_ObjectBean->setVencido1($vencido1); 
	$activarboton = 'cancelarMoroso';
}

if($flagreporte    									  ){ $o_ObjectBean->setFlagReporte($flagreporte); }
if($moroso     ){ $o_ObjectBean->setMoroso($moroso); }
if($cboOrigen  			!=""){ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtNuemroCliente   !=""){ $o_ObjectBean->setIdCliente($txtNuemroCliente); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaInicio($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }


if($flageliminado     ){
	$o_ObjectBean->setEliminado($flageliminado); 
	$sortCampos = 'FechaEliminado';
	$sortType='2';
}

$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;
 

$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);  
$totalMonto = $o_class->getTotalMonto($o_ObjectBean);
$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);



if(!$page) $page = 1;

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}

function abajo(){
	alert($("ibuscar"));
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>
<pre>
<?php //print_r( $a_ObjectBean ) ?>
</pre>
<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="35">
                 <th width="5%" >Nro</th>
                 <th width="5%" >N.Pre.</th>
                 <!--<th width="21%" >Cliente&nbsp;</th>-->
			     <th width="5%" >F.Inicio</th>
				 <th width="5%" >F.Vencim.</th>
				 <!--<th width="5%" >Capital </th>-->
                 <th width="5%" >Int.(%)</th>
                 <th width="5%" >M.Total&nbsp;</th>
                 <th width="5%" >Saldo&nbsp;</th>
                 <!--<th width="3%" >Max.Pago</th>-->
                 <th width="5%" >Estado &nbsp;&nbsp;&nbsp;</th>
                 <!--<th width="3%" >Saldo Mora</th>-->
                 <!--<th width="3%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>-->
                 <!--<th width="4%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>-->
                 <th width="5%"># Documentos</th>
                <th width="8%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
                <?php
                $i_IdPr = $o_objBean->getIdPrestamo();
                $i_IdCl = $o_objBean->getIdCliente();
                ?>
              <tr onClick="TR_click(this);">
                <td align="center"><?php echo $iKey+1 ?></td>
                <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
                <!--<td align="left"><?=ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))?></td>-->
                <td><?=$o_objBean->getFechaInicio()?></td>
                <td><?=$o_objBean->getFechaVencimiento()?></td>  
				<!--<td align="center"><?=number_format($o_objBean->getMontoPrestado(),2)?></td>-->
				<td align="center"><?=$o_objBean->getInteresPorcentaje()?></td>
				<td align="center"><?=number_format($o_objBean->getMontoTotal(),2)?></td>
				<td align="right"><?php echo number_format($o_objBean->getSaldoPrestamo(),2);$total_saldo += round($o_objBean->getSaldoPrestamo(),2);?></td>
				<!--<td align="center" style="color:#CA290D;"><?=number_format($o_objBean->getMaxPago(),2)?></td>-->
				<!--<td align="center"><? /*if(Cr_prestamo_fileFN::buscarEstadoDoc($i_IddPr)=='P'||Cr_prestamo_fileFN::buscarEstadoDoc($i_IdPr)==''){echo Pendiente;} elseif(Cr_prestamo_fileFN::buscarEstadoDoc($i_IdPr)=='C') {echo Cancelado;}*/?></td>-->
				<td align="center"><?php if($o_objBean->getEstado()=="P") echo "Pendiente"; else echo "Cancelado"?></td>
				<!--<td align="center"><? echo $o_objBean->getSaldoMora()?></td>-->
                <!--<td align="center"><?=ucwords(strtolower($o_objBean->getUsuarioCreacion()))?></td>-->
                <!--<td align="center"><?=$o_objBean->getFechaCreacion(date("Y-m-d"))?></td>-->
                <td align="center">
                    <?php echo Cr_prestamo_fileFN::numeroDocumento( $i_IdCl, $i_IdPr ) ?>
                </td>
                <td align="center" valign="top">
                    
                    <input type="button" class="button" value="Adicionar" onclick="location.href='<?php echo buildUrl('cli/datDocPeAd', "id={$i_IdCl}&idPr=$i_IdPr") ?>';"/>
                    <input type="button" class="button" value="Cerrar" onclick="abrirVentanaAnul( '<?php echo $i_IdPr ?>' );"/>
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="10" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>